#pragma once
#include "afxwin.h"
#include "afxcmn.h"


// CVoiceCtrl 对话框

class CVoiceCtrl : public CDialog
{
	DECLARE_DYNAMIC(CVoiceCtrl)

public:
	CVoiceCtrl(CRect rcWnd, CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CVoiceCtrl();

// 对话框数据
	enum { IDD = IDD_DLG_VOICECTRL };


	void SetSelIP(CString &strIP);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()


private:
	BOOL m_bStartTalk;
	CRect m_rcClient;
	virtual BOOL OnInitDialog();
	CStatic m_ctlGroup;
	CStatic m_ctlIP;
	afx_msg void OnBnClickedBtnAddtalk();
	afx_msg void OnBnClickedBtnQuittalk();
	CListCtrl m_ctlVoiceMem;
	afx_msg void OnNMClickListMember(NMHDR *pNMHDR, LRESULT *pResult);
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnBnClickedCkStarttalk();
	CButton m_ctlCKStartTalk;
	CComboBox m_ctlCBType;
	CComboBox m_ctlCBSampleRate;
	afx_msg void OnBnClickedRadioMono();
	afx_msg void OnBnClickedRadioStereo();
	CButton m_ctlRadioStereo;
	CButton m_ctlRadioMono;

	void EnableParamWnd(BOOL bEnable);
	afx_msg void OnCbnSelchangeCbType();
};
